This is an archive of the discontinued LLVM Phabricator instance.

[flang][nfc] Fix comments, remove needless API, tweak script
ClosedPublic

Authored by klausler on Jan 21 2021, 3:01 PM.

Details

Summary
  • Remove an unimplemented and unused member function declaration
  • Remove a misleading comment about an unrelated constraint number
  • Fix a comment
  • Add f18 crash message to "flang" driver script

Diff Detail

Event Timeline

klausler created this revision.Jan 21 2021, 3:01 PM
klausler requested review of this revision.Jan 21 2021, 3:01 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 21 2021, 3:01 PM
tskeith added inline comments.
flang/tools/f18/flang
18

This will have exit status 0 even in error cases because echo is the last command. So it should have exit 1 in the else part.

I think it would be clearer without the empty then part:

if ! $wd/bin/f18 $opts "$@"; then
  echo flang: in $PWD, f18 failed with exit status $?: $wd/bin/f18 $opts "$@" >&2
  exit 1
fi
klausler updated this revision to Diff 318570.Jan 22 2021, 10:23 AM
klausler added a reviewer: tskeith.

Address review comment.

tskeith accepted this revision.Jan 22 2021, 10:50 AM
This revision is now accepted and ready to land.Jan 22 2021, 10:50 AM
This revision was landed with ongoing or failed builds.Jan 22 2021, 10:56 AM
This revision was automatically updated to reflect the committed changes.